Ofsrm Cannot Execute Invalid Arguments After Patch Applied (Doc ID 2302025.1)

Last updated on AUGUST 29, 2017

Applies to:

Oracle Financial Services Asset Liability Management - Version 8.0.0 and later
Oracle Financial Services Funds Transfer Pricing - Version 8.0.0 and later
Oracle Financial Services Profitability Management - Version 8.0.0 and later
Information in this document applies to any platform.
Oracle Financial Services Analytical Applications (OFSAA)

Symptoms

On : 8.0.4 version, Calculation Engine

When attempting to run ALM and FTP after patch application, the process failed with the following error.

Error:
ofsrm cannot execute [invalid argument]

id.so.1: ofstp fatal: /u01/app/oracle/ofsaa/uat/ficdb/lib/libFSGBU/libfcmain.so: wrong ELF data format: ELFDATA2LSB

Steps:
1. Applied patch 26313755.
2. Followed steps in the readme to apply the patch.
3. Execute transfer pricing via the command line and found error below:


ofsmsg.cat is updated during the patching that the deployment procedure did not mentioned to take a backup

6.After ofsmsg.cat, “bin” and “libFSGBU” folders were restored from previous copy, the script resume successfully.

ofsrm OFSDOMAIN_200855_EXEC_20170103_2 ALM Task1 20170331 200855 OFSAABATHKDAY


Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms